Bug 612121 - Provisioning: Revert bundle to a version fails
Provisioning: Revert bundle to a version fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Sunil Kondkar
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-07-07 07:04 EDT by Sudhir D
Modified: 2010-08-12 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-07-07 07:04:43 EDT
Description of problem:
Revert bundle to a version fails

Version-Release number of selected component (if applicable):
jon-server-2.4.0.GA_QA Build# 51

How reproducible:
Always

Steps to Reproduce:
1. Go to Administration -> Content -> Bundle
2. Upload and deploy a bundle version say version 1
3. Upgrade to bundle version 2.
4. Navigate to 'Destination' tab for bundle version 2
5. Click on 'Revert' button.
  
Actual results:
Revert Deployment confirmation and Provide Revert information both the pages are blank and when clicked on Next the revert fails.

Expected results:
The page should display the revert deployment confirmation and provide revert information page with some values to input.

Additional info:
This to me looks like a manifestation of Bug 612115
Comment 1 Jay Shaughnessy 2010-07-07 15:46:00 EDT
fix commit: 91c9d1fb7849b9966f60a2cdeb8bca1903e3389c

The only way I could reproduce the above situation was to click Revert when if fact the destination had only 1 deployment. Meaning,  in the destination view page there is only one deployment in the list.  In this situation the live deployment is the *only* deployment and there is nothing to revert to.

I've improved the revert wizard to better handle this situation and display a (hopefully) useful message. And it will not let the user continue past the first step.
Comment 2 Sunil Kondkar 2010-07-09 07:38:43 EDT
Verified on latest jon 2.4.0.GA_QA build#53

If the destination view page has only one deployment in the list and user clicks 'Revert' button, below messages is displayed in the wizard:

Live deployment [BundleDeployment[id=10031, name=Deployment [1] of Version [1.0] to [deployversion1]]] can not be reverted. There is no prior deployment for the destination [BundleDestination[id=10031, bundle=example, group=linux1, name=deployversion1]]

Deployed version2 of the bundle to same destination. Navigated to the destination tab and clicked on 'Revert' button. The bundle is reverted successfully to previous version.
Comment 3 Corey Welton 2010-08-12 12:59:18 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.